Skip to main content

Product support

Xerox 700i/700 Digital Color Press

Support
Drivers & Downloads

Fiery Express Driver

Description

Prerequisites * You must have Mac OS X 10.5, or above, installed to use the Fiery Express Driver. * You must know the user authentication password for your local machine. The password is required during the installation process. IMPORTANT: The PPDs installed by the FieryExpressMacDriver.pkg are the only supported PPDs for use with the Fiery Express Driver. Printer specific PPDs are not supported. Macintosh OS X 10.7 users who want to print using Fiery features should print to the Fiery “Held” queue then use Command WorkStation 5.x to edit the Job Properties.
The Fiery Express Driver is a universal driver that can be used with any Fiery. The driver will provide basic feature support for Fiery printing. The Fiery Express Driver is a solution that can be installed on any Macintosh using Mac OS X 10.7 to provide basic feature support for Fiery printing. Macintosh OS X 10.7 users who want to print using Fiery features should print to the Fiery “Held” queue then use Command WorkStation 5.x to edit the Job Properties. Full description of features are in the pdf file bundled with the driver dmg file. Below is some of the basic info

  • Released: 07/20/2011
  • Version: 1.0
  • Size: 629.93 KB
  • Filename: Fiery_Express_Driver_and_Setup_Guide_1.0.zip

Download

End User License Agreement

Supported platforms

  • Mac OS X 10.7 - Lion
  • Mac OS X 10.5 or lower

Supported languages

  • Danish
  • German
  • English (N. America)
  • English (Global)
  • Spanish
  • Finnish
  • French
  • French Canadian
  • Italian
  • Japanese
  • Dutch
  • Norwegian
  • Brazilian Portuguese
  • Russian
  • Swedish
  • Turkish
  • Chinese (Simplified)

Supported products

  • Xerox 700i/700 Digital Color Press
Documentation
Contact

Need more support?

Get answers in the Community Support Forum

Join the conversation
Join the conversation
Join the conversation